# sc-excel-export

> 颂车网 - 前端插件 - 识客码

> 注意：** 识客码模块依赖于vue、element-ui  **

> 注意：** element-ui如按需引入，需要导入必要的模块  **

```js
// element-ui按需引入，必须实现$confirm、$message方法
{
	Message,
  MessageBox,
} from "element-ui"

Vue.prototype.$confirm = MessageBox.confirm
Vue.prototype.$message = Message
```

## 安装

```bash
# 安装插件依赖
$ yarn add sc-identific-code
# 或
$ npm install git+http://git.dingdangdata.com/dingdang-recognize-code/front-end/sc-identific-code.git
```

在 src/main.js 中挂载插件：

```js
import Vue from "vue";

// 识客码
import SCIdentificCode from "sc-identific-code";
import 'sc-identific-code/dist/sc-identific-code.css';
Vue.use(SCIdentificCode);

new Vue({
el: "#app",
render: h => h(App)
});
```

## 模块

主要有二个功能模块：

-  识客码管理 模块 CodeManage组件；

	  - 识客码 新增、编辑、查看 模块 CodeManageEditDetail组件；

	  	- 识客码 页面预览 模块 CodeManageMobilePreview组件；

	  	- 识客码 欢迎语回复 模块 CodeManageWelcomeReply组件；
-  企微客户管理 模块 CustomerManage组件；

    - 企微客户 变更弹窗 模块 ModalProviderEdit 组件；

## 识客码管理

```html
<code-manage :api="{fetchList, deleteItem}"></code-manage>
```

> api 传递的是接口方法 props，组件内部会调用。

```js
methods: {
	// 获取列表数据
	async fetchList(data, query) {

	},
	// 删除列表数据
	async deleteItem(id) {

	},
}
```

## 企微客户管理

```html
<customer-manage
	:api="{ fetchList, fetchStoreList, distributeStore }"
></customer-manage>
```

> api 传递的是接口方法 props，组件内部会调用。

```js
methods: {
	// 获取列表数据
	async fetchList(data, query) {

	},
	// 获取下拉企业成员列表
	async fetchStoreList(data) {

	},
	// 客户变更
	async distributeStore(data) {

	},
}
```

## 发布

```bash
# 需要注册npm账号
npm adduser

# 修改npm原地址（注意.npmrc文件的镜像）
npm config set registry https://registry.npmjs.org/

# 修改好代码后，终端执行
npm run lib

npm login

npm publish
```

## 依赖文档

- [如何发布自己的npm包](https://blog.csdn.net/qq_33286909/article/details/108421181)
- [npm包发布详细教程](https://blog.csdn.net/u010059669/article/details/109715342)
- [自己开发的Vue组件库，把每个单独的组件发布npm包，整体的组件库发布一个包](https://www.zhihu.com/question/427857259)

## 关于

颂车网 © 前端团队 技术支持
